/*
 *	Ohio Trollius
 *
 * Copyright (c) 2001-2002 The Trustees of Indiana University.  
 *                         All rights reserved.
 * Copyright (c) 1998-2001 University of Notre Dame. 
 *                         All rights reserved.
 * Copyright (c) 1994-1998 The Ohio State University.  
 *                         All rights reserved.
 * 
 * This file is part of the XMTV software package.  For license
 * information, see the LICENSE file in the top level directory of the
 * XMTV source distribution.
 *
 *	$Id: rtvclr.c,v 1.3 2002/12/09 20:25:14 brbarret Exp $
 * 
 *	Function:	- clear the graphic frame
 *	Accepts: 	- destination node
 *	Returns:	- 0 or ERROR
 */

#include <events.h>
#include <net.h>
#include <portable.h>
#include <tvreq.h>

int
lam_rtvclr(node)

int4			node;

{
	struct nmsg	nhead;		/* message header */
	struct tvreq	*request;	/* ptr to mtvd request */
/*
 * Set up the request message.
 */
 	request = (struct tvreq *) nhead.nh_data;
	request->tvq_req = TVQCLR;

	nhead.nh_node = node;
	nhead.nh_event = EVMTVD;
	nhead.nh_type = 0;
	nhead.nh_flags = 0;
	nhead.nh_length = 0;
	nhead.nh_msg = 0;

	return(nsend(&nhead));
}
